Qt 5.7 | Qt 3D | C++ Classes | QStencilOperation

Qt 5.7.1 Reference Documentation

# QStencilOperation Class

(Qt3DRender::QStencilOperation)

Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilOperationArguments * const
- front : Qt3DRender::QStencilOperationArguments * const

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QStencilOperation(Qt3DCore::QNode *parent = nullptr)
| ~QStencilOperation()
QStencilOperationArguments * | back() const
QStencilOperationArguments * | front() const

- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### back : Qt3DRender::QStencilOperationArguments * const

Access functions:

QStencilOperationArguments * | back() const

### front : Qt3DRender::QStencilOperationArguments * const

Access functions:

QStencilOperationArguments * | front() const

## Member Function Documentation

### QStencilOperation::QStencilOperation(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QStencilOperation.

### QStencilOperation::~QStencilOperation()

Destroys the instance of QStencilOperation.